TelepathyQt4: Tp::ManagerFile Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::ManagerFile Class Reference

The ManagerFile class provides an easy way to read telepathy manager files according to http://telepathy.freedesktop.org/spec.html. More...

`#include <TelepathyQt4/ManagerFile>`

List of all members.

## Public Member Functions

- ManagerFile (const QString &cmName)
- ~ManagerFile ()
- QString cmName () const
- bool isValid () const
- QStringList protocols () const
- ParamSpecList parameters (const QString &protocol) const

## Static Public Member Functions

- static QVariant::Type variantTypeFromDBusSignature (const QString &signature)

## Detailed Description

The ManagerFile class provides an easy way to read telepathy manager files according to http://telepathy.freedesktop.org/spec.html.

## Constructor & Destructor Documentation

Tp::ManagerFile::ManagerFile | ( | const QString & | cmName | ) |

Create a ManagerFile object used to read .manager compliant files.

Parameters:

  | cmName | Name of the connection manager to read the file for.

Tp::ManagerFile::~ManagerFile | ( |  | ) |

Class destructor.

## Member Function Documentation

QString Tp::ManagerFile::cmName | ( |  | ) | const

bool Tp::ManagerFile::isValid | ( |  | ) | const

Check whether or not a ManagerFile object is valid. If the file for the specified connection manager cannot be found it will be considered invalid.

Returns:
  true if valid, false otherwise.

QStringList Tp::ManagerFile::protocols | ( |  | ) | const

Return a list of all protocols defined in the manager file.

Returns:
  List of all protocols defined in the file.

ParamSpecList Tp::ManagerFile::parameters | ( | const QString & | protocol | ) | const

Return a list of all protocols defined in the manager file.

Parameters:

  | protocol | Name of the protocol to look for.

Returns:
  List of ParamSpec of a specific protocol defined in the file, or an empty list if the protocol is not defined.

QVariant::Type Tp::ManagerFile::variantTypeFromDBusSignature | ( | const QString & | signature | ) | `[static]`